Peplink Portal Docs
Customer PO

Update customer PO number

Update customer PO number for an order.

Request

POST/orders/{orderNumber}/customer-po-number

Path parameters

orderNumberstringrequired

Order number of the order.

Body parameters

customerPoNumbernullable stringrequired

Your PO number to update for the order. You can remove your previous updated PO number by passing null.

Response

200 Customer PO number is updated

No response body is returned.

Check status code 200 for successfully updated customer PO number.

400 Request is invalid

No customer PO number is updated as the request is invalid. Check the response body for the error details.

Examples

Request

curl -X POST 'https://portal.peplink.com/api/e/v1/cp/orders/{orderNumber}/customer-po-number' \  -H 'Authorization: Bearer {token}' \  -H 'Content-Type: application/json' \  --data-raw  '{"customerPoNumber": "your-po-number"}'

On this page